org.apache.ignite.internal.pagemem.wal.record

## Interface MarshalledDataEntry

All Known Implementing Classes:
  LazyDataEntry, LazyMvccDataEntry

    public interface MarshalledDataEntry

Interface for Data Entry record that was not converted to key, value pair during record deserialization.

### Method Summary

All Methods Instance Methods Abstract Methods
`byte[]` `getKeyBytes()`
`byte` `getKeyType()`
`byte[]` `getValBytes()`
`byte` `getValType()`

### Method Detail

#### getKeyType

    byte getKeyType()

Returns:
  Data Entry Key type code. See `CacheObject` for built-in value type codes.

#### getKeyBytes

    byte[] getKeyBytes()

Returns:
  Key value bytes.

#### getValType

    byte getValType()

Returns:
  Data Entry Value type code. See `CacheObject` for built-in value type codes.

#### getValBytes

    byte[] getValBytes()

Returns:
  Value value bytes.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020